### Method

# Gio FileAttributeInfoList add

#### Declaration

    void
    g_file_attribute_info_list_add (
      GFileAttributeInfoList* list,
      const char* name,
      GFileAttributeType type,
      GFileAttributeInfoFlags flags
    )

#### Description

Adds a new attribute with `name` to the `list`, setting its `type` and `flags`.

#### Parameters

`name`

  Type: `const char*`

  The name of the attribute to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `GFileAttributeType`

  The `GFileAttributeType` for the attribute.

`flags`

  Type: `GFileAttributeInfoFlags`

  `GFileAttributeInfoFlags` for the attribute.